scala.collection

# JavaConverters

#### object JavaConverters extends DecorateAsJava with DecorateAsScala

A collection of decorators that allow converting between Scala and Java collections using `asScala` and `asJava` methods.

The following conversions are supported via `asJava`, `asScala`

- `scala.collection.Iterable` <=> `java.lang.Iterable`
- `scala.collection.Iterator` <=> `java.util.Iterator`
- `scala.collection.mutable.Buffer` <=> `java.util.List`
- `scala.collection.mutable.Set` <=> `java.util.Set`
- `scala.collection.mutable.Map` <=> `java.util.Map`
- `scala.collection.mutable.ConcurrentMap` <=> `java.util.concurrent.ConcurrentMap`

In all cases, converting from a source type to a target type and back again will return the original source object, e.g.

    import scala.collection.JavaConverters._

    val sl = new scala.collection.mutable.ListBuffer[Int]
    val jl : java.util.List[Int] = sl.asJava
    val sl2 : scala.collection.mutable.Buffer[Int] = jl.asScala
    assert(sl eq sl2)

The following conversions also are supported, but the direction Scala to Java is done my a more specifically named method: `asJavaCollection`, `asJavaEnumeration`, `asJavaDictionary`.

- `scala.collection.Iterable` <=> `java.util.Collection`
- `scala.collection.Iterator` <=> `java.util.Enumeration`
- `scala.collection.mutable.Map` <=> `java.util.Dictionary`

In addition, the following one way conversions are provided via `asJava`:

- `scala.collection.Seq` => `java.util.List`
- `scala.collection.mutable.Seq` => `java.util.List`
- `scala.collection.Set` => `java.util.Set`
- `scala.collection.Map` => `java.util.Map`

Source
  JavaConverters.scala
Since

  2.8.1

Linear Supertypes
DecorateAsScala, DecorateAsJava, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. JavaConverters
2. DecorateAsScala
3. DecorateAsJava
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type AsJava[A] = convert.Decorators.AsJava[A]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Don't access these decorators directly.

2. #### type AsJavaCollection[A] = convert.Decorators.AsJavaCollection[A]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Don't access these decorators directly.

3. #### type AsJavaDictionary[A, B] = convert.Decorators.AsJavaDictionary[A, B]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Don't access these decorators directly.

4. #### type AsJavaEnumeration[A] = convert.Decorators.AsJavaEnumeration[A]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Don't access these decorators directly.

5. #### type AsScala[A] = convert.Decorators.AsScala[A]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Don't access these decorators directly.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

7. #### implicit def asJavaCollectionConverter[A](i: Iterable[A]): convert.Decorators.AsJavaCollection[A]

   Adds an `asJavaCollection` method that implicitly converts a Scala `Iterable` to an immutable Java `Collection`.

   Adds an `asJavaCollection` method that implicitly converts a Scala `Iterable` to an immutable Java `Collection`.

   If the Scala `Iterable` was previously obtained from an implicit or explicit call of `asSizedIterable(java.util.Collection)` then the original Java `Collection` will be returned.

   i

     The `SizedIterable` to be converted.

   returns

     An object with an `asJava` method that returns a Java `Collection` view of the argument.

   Definition Classes
     DecorateAsJava

8. #### implicit def asJavaDictionaryConverter[A, B](m: mutable.Map[A, B]): convert.Decorators.AsJavaDictionary[A, B]

   Adds an `asJavaDictionary` method that implicitly converts a Scala mutable `Map` to a Java `Dictionary`.

   Adds an `asJavaDictionary` method that implicitly converts a Scala mutable `Map` to a Java `Dictionary`.

   The returned Java `Dictionary` is backed by the provided Scala `Dictionary` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

   If the Scala `Dictionary` was previously obtained from an implicit or explicit call of `asMap(java.util.Dictionary)` then the original Java `Dictionary` will be returned.

   m

     The `Map` to be converted.

   returns

     An object with an `asJavaDictionary` method that returns a Java `Dictionary` view of the argument.

   Definition Classes
     DecorateAsJava

9. #### implicit def asJavaEnumerationConverter[A](i: Iterator[A]): convert.Decorators.AsJavaEnumeration[A]

   Adds an `asJavaEnumeration` method that implicitly converts a Scala `Iterator` to a Java `Enumeration`.

   Adds an `asJavaEnumeration` method that implicitly converts a Scala `Iterator` to a Java `Enumeration`. The returned Java `Enumeration` is backed by the provided Scala `Iterator` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

   If the Scala `Iterator` was previously obtained from an implicit or explicit call of `asIterator(java.util.Enumeration)` then the original Java `Enumeration` will be returned.

   i

     The `Iterator` to be converted.

   returns

     An object with an `asJavaEnumeration` method that returns a Java `Enumeration` view of the argument.

   Definition Classes
     DecorateAsJava

10. #### implicit def asJavaIterableConverter[A](i: Iterable[A]): convert.Decorators.AsJava[java.lang.Iterable[A]]

    Adds an `asJava` method that implicitly converts a Scala `Iterable` to a Java `Iterable`.

    Adds an `asJava` method that implicitly converts a Scala `Iterable` to a Java `Iterable`.

    The returned Java `Iterable` is backed by the provided Scala `Iterable` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala `Iterable` was previously obtained from an implicit or explicit call of `asIterable(java.lang.Iterable)` then the original Java `Iterable` will be returned.

    i

      The `Iterable` to be converted.

    returns

      An object with an `asJavaCollection` method that returns a Java `Iterable` view of the argument.

    Definition Classes
      DecorateAsJava

11. #### implicit def asJavaIteratorConverter[A](i: Iterator[A]): convert.Decorators.AsJava[java.util.Iterator[A]]

    Adds an `asJava` method that implicitly converts a Scala `Iterator` to a Java `Iterator`.

    Adds an `asJava` method that implicitly converts a Scala `Iterator` to a Java `Iterator`. The returned Java `Iterator` is backed by the provided Scala `Iterator` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala `Iterator` was previously obtained from an implicit or explicit call of `asIterator(java.util.Iterator)` then the original Java `Iterator` will be returned by the `asJava` method.

    i

      The `Iterator` to be converted.

    returns

      An object with an `asJava` method that returns a Java `Iterator` view of the argument.

    Definition Classes
      DecorateAsJava

12. #### implicit def asScalaBufferConverter[A](l: java.util.List[A]): convert.Decorators.AsScala[Buffer[A]]

    Adds an `asScala` method that implicitly converts a Java `List` to a Scala mutable `Buffer`.

    Adds an `asScala` method that implicitly converts a Java `List` to a Scala mutable `Buffer`.

    The returned Scala `Buffer` is backed by the provided Java `List` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java `List` was previously obtained from an implicit or explicit call of `asList(scala.collection.mutable.Buffer)` then the original Scala `Buffer` will be returned.

    l

      The `List` to be converted.

    returns

      An object with an `asScala` method that returns a Scala mutable `Buffer` view of the argument.

    Definition Classes
      DecorateAsScala

13. #### implicit def asScalaIteratorConverter[A](i: java.util.Iterator[A]): convert.Decorators.AsScala[Iterator[A]]

    Adds an `asScala` method that implicitly converts a Java `Iterator` to a Scala `Iterator`.

    Adds an `asScala` method that implicitly converts a Java `Iterator` to a Scala `Iterator`.

    The returned Scala `Iterator` is backed by the provided Java `Iterator` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java `Iterator` was previously obtained from an implicit or explicit call of `asIterator(scala.collection.Iterator)` then the original Scala `Iterator` will be returned.

    i

      The `Iterator` to be converted.

    returns

      An object with an `asScala` method that returns a Scala `Iterator` view of the argument.

    Definition Classes
      DecorateAsScala

14. #### implicit def asScalaSetConverter[A](s: java.util.Set[A]): convert.Decorators.AsScala[mutable.Set[A]]

    Adds an `asScala` method that implicitly converts a Java `Set` to a Scala mutable `Set`.

    Adds an `asScala` method that implicitly converts a Java `Set` to a Scala mutable `Set`.

    The returned Scala `Set` is backed by the provided Java `Set` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java `Set` was previously obtained from an implicit or explicit call of `asSet(scala.collection.mutable.Set)` then the original Scala `Set` will be returned.

    s

      The `Set` to be converted.

    returns

      An object with an `asScala` method that returns a Scala mutable `Set` view of the argument.

    Definition Classes
      DecorateAsScala

15. #### implicit def bufferAsJavaListConverter[A](b: Buffer[A]): convert.Decorators.AsJava[java.util.List[A]]

    Adds an `asJava` method that implicitly converts a Scala mutable `Buffer` to a Java `List`.

    Adds an `asJava` method that implicitly converts a Scala mutable `Buffer` to a Java `List`.

    The returned Java `List` is backed by the provided Scala `Buffer` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala `Buffer` was previously obtained from an implicit or explicit call of `asBuffer(java.util.List)` then the original Java `List` will be returned.

    b

      The `Buffer` to be converted.

    returns

      An object with an `asJava` method that returns a Java `List` view of the argument.

    Definition Classes
      DecorateAsJava

16. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )
    Note

      not specified by SLS as a member of AnyRef

17. #### implicit def collectionAsScalaIterableConverter[A](i: Collection[A]): convert.Decorators.AsScala[Iterable[A]]

    Adds an `asScala` method that implicitly converts a Java `Collection` to an Scala `Iterable`.

    Adds an `asScala` method that implicitly converts a Java `Collection` to an Scala `Iterable`.

    If the Java `Collection` was previously obtained from an implicit or explicit call of `asCollection(scala.collection.SizedIterable)` then the original Scala `SizedIterable` will be returned.

    i

      The `Collection` to be converted.

    returns

      An object with an `asScala` method that returns a Scala `SizedIterable` view of the argument.

    Definition Classes
      DecorateAsScala

18. #### implicit def dictionaryAsScalaMapConverter[A, B](p: Dictionary[A, B]): convert.Decorators.AsScala[mutable.Map[A, B]]

    Adds an `asScala` method that implicitly converts a Java `Dictionary` to a Scala mutable `Map[String, String]`.

    Adds an `asScala` method that implicitly converts a Java `Dictionary` to a Scala mutable `Map[String, String]`. The returned Scala `Map[String, String]` is backed by the provided Java `Dictionary` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    p

      The `Dictionary` to be converted.

    returns

      An object with an `asScala` method that returns a Scala mutable `Map[String, String]` view of the argument.

    Definition Classes
      DecorateAsScala

19. #### implicit def enumerationAsScalaIteratorConverter[A](i: java.util.Enumeration[A]): convert.Decorators.AsScala[Iterator[A]]

    Adds an `asScala` method that implicitly converts a Java `Enumeration` to a Scala `Iterator`.

    Adds an `asScala` method that implicitly converts a Java `Enumeration` to a Scala `Iterator`.

    The returned Scala `Iterator` is backed by the provided Java `Enumeration` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java `Enumeration` was previously obtained from an implicit or explicit call of `asEnumeration(scala.collection.Iterator)` then the original Scala `Iterator` will be returned.

    i

      The `Enumeration` to be converted.

    returns

      An object with an `asScala` method that returns a Scala `Iterator` view of the argument.

    Definition Classes
      DecorateAsScala

20. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

22. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

23. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

24. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

25. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

26. #### implicit def iterableAsScalaIterableConverter[A](i: java.lang.Iterable[A]): convert.Decorators.AsScala[Iterable[A]]

    Adds an `asScala` method that implicitly converts a Java `Iterable` to a Scala `Iterable`.

    Adds an `asScala` method that implicitly converts a Java `Iterable` to a Scala `Iterable`.

    The returned Scala `Iterable` is backed by the provided Java `Iterable` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java `Iterable` was previously obtained from an implicit or explicit call of `asIterable(scala.collection.Iterable)` then the original Scala `Iterable` will be returned.

    i

      The `Iterable` to be converted.

    returns

      An object with an `asScala` method that returns a Scala `Iterable` view of the argument.

    Definition Classes
      DecorateAsScala

27. #### implicit def mapAsJavaConcurrentMapConverter[A, B](m: concurrent.Map[A, B]): convert.Decorators.AsJava[ConcurrentMap[A, B]]

    Adds an `asJava` method that implicitly converts a Scala mutable `concurrent.Map` to a Java `ConcurrentMap`.

    Adds an `asJava` method that implicitly converts a Scala mutable `concurrent.Map` to a Java `ConcurrentMap`.

    The returned Java `ConcurrentMap` is backed by the provided Scala `concurrent.Map` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala `concurrent.Map` was previously obtained from an implicit or explicit call of `asConcurrentMap(java.util.concurrect.ConcurrentMap)` then the original Java `ConcurrentMap` will be returned.

    m

      The Scala `concurrent.Map` to be converted.

    returns

      An object with an `asJava` method that returns a Java `ConcurrentMap` view of the argument.

    Definition Classes
      DecorateAsJava

28. #### implicit def mapAsJavaMapConverter[A, B](m: Map[A, B]): convert.Decorators.AsJava[java.util.Map[A, B]]

    Adds an `asJava` method that implicitly converts a Scala `Map` to a Java `Map`.

    Adds an `asJava` method that implicitly converts a Scala `Map` to a Java `Map`.

    The returned Java `Map` is backed by the provided Scala `Map` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala `Map` was previously obtained from an implicit or explicit call of `asMap(java.util.Map)` then the original Java `Map` will be returned.

    m

      The `Map` to be converted.

    returns

      An object with an `asJava` method that returns a Java `Map` view of the argument.

    Definition Classes
      DecorateAsJava

29. #### implicit def mapAsScalaConcurrentMapConverter[A, B](m: ConcurrentMap[A, B]): convert.Decorators.AsScala[concurrent.Map[A, B]]

    Adds an `asScala` method that implicitly converts a Java `ConcurrentMap` to a Scala mutable `concurrent.Map`.

    Adds an `asScala` method that implicitly converts a Java `ConcurrentMap` to a Scala mutable `concurrent.Map`. The returned Scala `concurrent.Map` is backed by the provided Java `ConcurrentMap` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java `ConcurrentMap` was previously obtained from an implicit or explicit call of `mapAsScalaConcurrentMap(scala.collection.mutable.ConcurrentMap)` then the original Scala `concurrent.Map` will be returned.

    m

      The `ConcurrentMap` to be converted.

    returns

      An object with an `asScala` method that returns a Scala mutable `concurrent.Map` view of the argument.

    Definition Classes
      DecorateAsScala

30. #### implicit def mapAsScalaMapConverter[A, B](m: java.util.Map[A, B]): convert.Decorators.AsScala[mutable.Map[A, B]]

    Adds an `asScala` method that implicitly converts a Java `Map` to a Scala mutable `Map`.

    Adds an `asScala` method that implicitly converts a Java `Map` to a Scala mutable `Map`. The returned Scala `Map` is backed by the provided Java `Map` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java `Map` was previously obtained from an implicit or explicit call of `asMap(scala.collection.mutable.Map)` then the original Scala `Map` will be returned.

    m

      The `Map` to be converted.

    returns

      An object with an `asScala` method that returns a Scala mutable `Map` view of the argument.

    Definition Classes
      DecorateAsScala

31. #### implicit def mutableMapAsJavaMapConverter[A, B](m: mutable.Map[A, B]): convert.Decorators.AsJava[java.util.Map[A, B]]

    Adds an `asJava` method that implicitly converts a Scala mutable `Map` to a Java `Map`.

    Adds an `asJava` method that implicitly converts a Scala mutable `Map` to a Java `Map`.

    The returned Java `Map` is backed by the provided Scala `Map` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala `Map` was previously obtained from an implicit or explicit call of `asMap(java.util.Map)` then the original Java `Map` will be returned.

    m

      The `Map` to be converted.

    returns

      An object with an `asJava` method that returns a Java `Map` view of the argument.

    Definition Classes
      DecorateAsJava

32. #### implicit def mutableSeqAsJavaListConverter[A](b: mutable.Seq[A]): convert.Decorators.AsJava[java.util.List[A]]

    Adds an `asJava` method that implicitly converts a Scala mutable `Seq` to a Java `List`.

    Adds an `asJava` method that implicitly converts a Scala mutable `Seq` to a Java `List`.

    The returned Java `List` is backed by the provided Scala `Seq` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala `Seq` was previously obtained from an implicit or explicit call of `asSeq(java.util.List)` then the original Java `List` will be returned.

    b

      The `Seq` to be converted.

    returns

      An object with an `asJava` method that returns a Java `List` view of the argument.

    Definition Classes
      DecorateAsJava

33. #### implicit def mutableSetAsJavaSetConverter[A](s: mutable.Set[A]): convert.Decorators.AsJava[java.util.Set[A]]

    Adds an `asJava` method that implicitly converts a Scala mutable `Set`> to a Java `Set`.

    Adds an `asJava` method that implicitly converts a Scala mutable `Set`> to a Java `Set`.

    The returned Java `Set` is backed by the provided Scala `Set` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala `Set` was previously obtained from an implicit or explicit call of `asSet(java.util.Set)` then the original Java `Set` will be returned.

    s

      The `Set` to be converted.

    returns

      An object with an `asJava` method that returns a Java `Set` view of the argument.

    Definition Classes
      DecorateAsJava

34. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

35. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

36. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

37. #### implicit def propertiesAsScalaMapConverter(p: Properties): convert.Decorators.AsScala[mutable.Map[String, String]]

    Adds an `asScala` method that implicitly converts a Java `Properties` to a Scala mutable `Map[String, String]`.

    Adds an `asScala` method that implicitly converts a Java `Properties` to a Scala mutable `Map[String, String]`. The returned Scala `Map[String, String]` is backed by the provided Java `Properties` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    p

      The `Properties` to be converted.

    returns

      An object with an `asScala` method that returns a Scala mutable `Map[String, String]` view of the argument.

    Definition Classes
      DecorateAsScala

38. #### implicit def seqAsJavaListConverter[A](b: Seq[A]): convert.Decorators.AsJava[java.util.List[A]]

    Adds an `asJava` method that implicitly converts a Scala `Seq` to a Java `List`.

    Adds an `asJava` method that implicitly converts a Scala `Seq` to a Java `List`.

    The returned Java `List` is backed by the provided Scala `Seq` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala `Seq` was previously obtained from an implicit or explicit call of `asSeq(java.util.List)` then the original Java `List` will be returned.

    b

      The `Seq` to be converted.

    returns

      An object with an `asJava` method that returns a Java `List` view of the argument.

    Definition Classes
      DecorateAsJava

39. #### implicit def setAsJavaSetConverter[A](s: Set[A]): convert.Decorators.AsJava[java.util.Set[A]]

    Adds an `asJava` method that implicitly converts a Scala `Set` to a Java `Set`.

    Adds an `asJava` method that implicitly converts a Scala `Set` to a Java `Set`.

    The returned Java `Set` is backed by the provided Scala `Set` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala `Set` was previously obtained from an implicit or explicit call of `asSet(java.util.Set)` then the original Java `Set` will be returned.

    s

      The `Set` to be converted.

    returns

      An object with an `asJava` method that returns a Java `Set` view of the argument.

    Definition Classes
      DecorateAsJava

40. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

41. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

42. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

43. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

44. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

### Deprecated Value Members

1. #### implicit def asJavaConcurrentMapConverter[A, B](m: ConcurrentMap[A, B]): convert.Decorators.AsJava[ConcurrentMap[A, B]]

   Adds an `asJava` method that implicitly converts a Scala mutable `ConcurrentMap` to a Java `ConcurrentMap`.

   Adds an `asJava` method that implicitly converts a Scala mutable `ConcurrentMap` to a Java `ConcurrentMap`.

   The returned Java `ConcurrentMap` is backed by the provided Scala `ConcurrentMap` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

   If the Scala `ConcurrentMap` was previously obtained from an implicit or explicit call of `asConcurrentMap(java.util.concurrect.ConcurrentMap)` then the original Java `ConcurrentMap` will be returned.

   m

     The `ConcurrentMap` to be converted.

   returns

     An object with an `asJava` method that returns a Java `ConcurrentMap` view of the argument.

   Definition Classes
     DecorateAsJava
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `concurrent.Map` instead of `ConcurrentMap`.

2. #### def asJavaListConverter[A](b: Seq[A]): AsJava[java.util.List[A]]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.9.0) Use seqAsJavaListConverter instead

3. #### def asJavaListConverter[A](b: mutable.Seq[A]): AsJava[java.util.List[A]]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.9.0) Use mutableSeqAsJavaListConverter instead

4. #### def asJavaListConverter[A](b: Buffer[A]): AsJava[java.util.List[A]]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.9.0) Use bufferAsJavaListConverter instead

5. #### def asJavaMapConverter[A, B](m: Map[A, B]): AsJava[java.util.Map[A, B]]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.9.0) Use mapAsJavaMapConverter instead

6. #### def asJavaMapConverter[A, B](m: mutable.Map[A, B]): AsJava[java.util.Map[A, B]]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.9.0) use mutableMapAsJavaMapConverter instead

7. #### def asJavaSetConverter[A](s: Set[A]): AsJava[java.util.Set[A]]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.9.0) Use setAsJavaSetConverter instead

8. #### def asJavaSetConverter[A](s: mutable.Set[A]): AsJava[java.util.Set[A]]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.9.0) Use mutableSetAsJavaSetConverter instead

9. #### def asScalaConcurrentMapConverter[A, B](m: ConcurrentMap[A, B]): convert.Decorators.AsScala[ConcurrentMap[A, B]]

   Adds an `asScala` method that implicitly converts a Java `ConcurrentMap` to a Scala mutable `ConcurrentMap`.

   Adds an `asScala` method that implicitly converts a Java `ConcurrentMap` to a Scala mutable `ConcurrentMap`. The returned Scala `ConcurrentMap` is backed by the provided Java `ConcurrentMap` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

   If the Java `ConcurrentMap` was previously obtained from an implicit or explicit call of `asConcurrentMap(scala.collection.mutable.ConcurrentMap)` then the original Scala `ConcurrentMap` will be returned.

   m

     The `ConcurrentMap` to be converted.

   returns

     An object with an `asScala` method that returns a Scala mutable `ConcurrentMap` view of the argument.

   Definition Classes
     DecorateAsScala
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `mapAsScalaConcurrentMapConverter` instead, and use `concurrent.Map` instead of `ConcurrentMap`.

10. #### def asScalaIterableConverter[A](i: Collection[A]): AsScala[Iterable[A]]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.9.0) Use collectionAsScalaIterableConverter instead

11. #### def asScalaIterableConverter[A](i: java.lang.Iterable[A]): AsScala[Iterable[A]]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.9.0) Use iterableAsScalaIterableConverter instead

12. #### def asScalaMapConverter(p: Properties): AsScala[mutable.Map[String, String]]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.9.0) Use propertiesAsScalaMapConverter instead

13. #### def asScalaMapConverter[A, B](m: java.util.Map[A, B]): AsScala[mutable.Map[A, B]]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.9.0) Use mapAsScalaMapConverter instead

### Inherited from DecorateAsScala

### Inherited from DecorateAsJava

### Inherited from AnyRef

### Inherited from Any

### Ungrouped